import "../../chunks/chunk.QU3DSPNU.js";
function observeLightDOM(observerConfig = {
  attributes: true,
  childList: true,
  subtree: false,
  characterData: true
}) {
  return (proto, _propertyKey, descriptor) => {
    let observer;
    const connectedCallback = proto.connectedCallback;
    const disconnectedCallback = proto.disconnectedCallback;
    proto.connectedCallback = function() {
      connectedCallback?.call(this);
      const callback = (_mutationList, _observer) => {
        descriptor.value?.call(this);
      };
      observer = new MutationObserver(callback);
      observer.observe(this, observerConfig);
    };
    proto.disconnectedCallback = function() {
      disconnectedCallback?.call(this);
      observer.disconnect();
    };
  };
}
export {
  observeLightDOM
};
